# Zoom Contact Center - May 30, 2023 _Published May 30, 2023_ ## Added - New **Variables** API. - `DELETE /v2/contact_center/variable_logs/{variableLogId}` - New **Queues** API. - `PATCH /v2/contact_center/queues/{queueId}/operating_hours` - New **Logs** APIs. - `GET /v2/accounts/{accountId}/contact_center/voice_calls` - `GET /v2/accounts/{accountId}/contact_center/sms` - New **webhook** Webhook event. - `contact_center.business_hours_created` - `contact_center.business_hours_deleted` - `contact_center.business_hours_updated` - `contact_center.queue_inbound_sla_updated` - `contact_center.queue_operating_hours_updated` - `contact_center.recording_deleted` - `contact_center.recording_permanently_deleted` - `contact_center.recording_transcript_completed` - `contact_center.user_deleted` ## Changed - New `waiting_duration`, `flow_duration`, `queue_wait_type`, `handling_duration`, `wrap_up_duration`, `direction`, `skills`, `queues`, `voice_mail`, `flows`, and `agents` response fields in this **Engagements** API. - `GET /v2/contact_center/engagements/{engagementId}` - New `agent_routing_profile_id` and `agent_routing_profile_name` response fields in this **Queues** API. - `GET /v2/contact_center/queues/{queueId}` - New `agent_routing_profile_id` request field in this **Queues** API. - `PATCH /v2/contact_center/queues/{queueId}` - New `transcript_url` response field in these **Inboxes** APIs. - `GET /v2/contact_center/inboxes/{inboxId}/messages` - `GET /v2/contact_center/inboxes/messages` - New `consumers` and `users` fields in these webhook events. - `contact_center.recording_stopped` - `contact_center.recording_completed` - `contact_center.recording_resumed` - `contact_center.recording_paused` - `contact_center.recording_started` - Enhanced permission checks to download, play, access, and delete recordings in these **Recordings** APIs. - `GET /v2/contact_center/recordings` - `DELETE /v2/contact_center/recordings/{recordingId}` - `GET /v2/contact_center/engagements/{engagementId}/recordings` - `DELETE /v2/contact_center/engagements/{engagementId}/recordings` - `GET /v2/contact_center/queues/{queueId}/recordings` - `DELETE /v2/contact_center/queues/{queueId}/recordings` - `GET /v2/contact_center/users/{userId}/recordings` - `DELETE /v2/contact_center/users/{userId}/recordings` ## Fixed - Updated default value for `status_category` request field to return all system statuses in the **Agent Statuses** API. - `GET /v2/contact_center/system_statuses` - Fixed previous and current user statuses that have the same value in this webhook event. - `contact_center.user_status_changed` - Fixed `queue_id` to return the correct value in this webhook event. - `contact_center.engagement_disposition_added`